<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_recibo', function (Blueprint $table) {
            $table->bigIncrements('CONSECUTIVO');
            $table->string('DOCUMENTO', 50);
            $table->string('NOMBRE_CLIENTE', 900);
            $table->string('NOMBRE_EVENTO', 50);
            $table->string('PERIODO', 10);
            $table->integer('TOTAL_PAGAR');
            $table->string('ESTADO', 50);
            $table->string('ENLACE', 200)->nullable();
            $table->timestamps();
            $table->charset = 'utf8mb4';
            $table->collation = 'utf8mb4_spanish_ci';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('personal_access_tokens');
    }
};